petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDARestoreArray

Restores an array of derivative types for a DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDARestoreArray(DM da,PetscBool ghosted,void *vptr)

### Input Parameter

| da | - information about my local patch Many br
| ghosted | - do you want arrays for the ghosted or nonghosted patch Many br
| vptr | - array data structured to be passed to ad_FormFunctionLocal() Many br

Many br

### See Also

DMDAGetArray()

Level:advanced
Location:src/dm/impls/da/dalocal.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex9.c.html